| The Hubzilla

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Pages
Public Member Functions | Protected Attributes | Private Attributes | List of all members
Hubzilla\Import\Import Class Reference

## Public Member Functions
| get_credentials ()
| get_itemlist ()
| get_item_ident ($item)
| get_item ($item_ident)
| get_taxonomy ($item_ident)
| get_children ($item_ident)
| convert_item ($item_ident)
| convert_taxonomy ($item_ident)
| convert_child ($child)
| store ($item, $update=false)
| run ()

## Protected Attributes
| $itemlist = null
| $src_items = null
| $items = null

## Private Attributes
| $credentials = null

## Member Function Documentation

Hubzilla\Import\Import::convert_child | ( |  | $child | ) |

Referenced by Hubzilla\Import\Import\run().

Hubzilla\Import\Import::convert_item | ( |  | $item_ident | ) |

Referenced by Hubzilla\Import\Import\run().

Hubzilla\Import\Import::convert_taxonomy | ( |  | $item_ident | ) |

Referenced by Hubzilla\Import\Import\run().

Hubzilla\Import\Import::get_children | ( |  | $item_ident | ) |

Referenced by Hubzilla\Import\Import\run().

Hubzilla\Import\Import::get_credentials | ( |  | ) |

Referenced by Hubzilla\Import\Import\run().

Hubzilla\Import\Import::get_item | ( |  | $item_ident | ) |

Referenced by Hubzilla\Import\Import\run().

Hubzilla\Import\Import::get_item_ident | ( |  | $item | ) |

Hubzilla\Import\Import::get_itemlist | ( |  | ) |

Referenced by Hubzilla\Import\Import\run().

Hubzilla\Import\Import::get_taxonomy | ( |  | $item_ident | ) |

Referenced by Hubzilla\Import\Import\run().

Hubzilla\Import\Import::run | ( |  | ) |

Hubzilla\Import\Import::store | ( |  | $item,
|  |  | $update = `false`
| ) |  |

## Member Data Documentation

Hubzilla\Import\Import::$credentials = null
| private

Referenced by Hubzilla\Import\Import\get_credentials().

Hubzilla\Import\Import::$itemlist = null
| protected

Referenced by Hubzilla\Import\Import\get_itemlist().

Hubzilla\Import\Import::$items = null
| protected

Hubzilla\Import\Import::$src_items = null
| protected

The documentation for this class was generated from the following file:

- include/Import/Importer.php